<!--
  Lightning talk:
    https://media.ccc.de/browse/conferences/camp2015/camp2015-6864-lightning_talks_day_4.html#video&t=3520

  Shortcuts:
    q, a: nice
    w, z: hmm
    e: ha, freifunk!
    r: damned it
    t: yes! it works!
    y: hoo
    k: random sound every 3 seconds (can be used several times)

  Yolo Jukebox:
    http://yolocowboy.pink/jukebox.html
-->
<!DOCTYPE html>
<html><head>
  <title>The Yolo Cowboy</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

  <meta content="YOLO Cowboy"                           property ="og:title">
  <meta content="website"                               property ="og:type">
  <meta content="https://frama.pink/"                   property ="og:url">
  <meta content="https://frama.pink/comeoninternet.ogg" property ="og:audio">
  <meta content="https://frama.pink/favicon.png"        property ="og:image">
  <meta content="Frama.Pink"                            property ="og:site_name">

  <link href="favicon.png" rel="icon" type="image/png">

  <style>
    @font-face {
      font-family: yoloFont;
      src: url(yolo.otf);
    }

    html, body {
      width: 100%;
      height: 100%;
    }

    body {
      background-color: #ee92a7;
      text-align: center;
      border: 32px solid #fff;
      margin: 0;
      padding: 0;
      animation: disco .5s ease infinite;
      overflow: hidden;
    }

    @keyframes disco {
      0% {
        border-color: #0d0f2c;
        color: #0d0f2c;
      }

      50% {
        border-color: #fff;
        color: #fff;
      }

      100% {
        border-color: #cc4c6a;
        color: #cc4c6a;
      }
    }

    div {
      padding: 1em 2em 0 0;
      font-family: yoloFont, sans;
      font-size: 3em;
      float: right;
    }

    img {
      border-radius: 2em;
      margin: 2em;
      height: 90%;
      max-width: 326px;
      max-height: 669px;
      animation: jumping .5s ease infinite;
    }

    @keyframes jumping {
      0% {
        margin: 2em;
      }

      100% {
        margin: 2.5em 3em 1.5em 1em;
      }
    }

    @media all and (max-width: 860px) {
      div {
        float: none;
        position: fixed;
        bottom: 70px;
        left: 70px;
      }
    }
  </style>

  <script>
    function playSound(i) {
      switch(i)  {
        case 0:
          document.getElementById('noice').play();
          break;

        case 1:
          document.getElementById('hmm').play();
          break;

        case 2:
          document.getElementById('freifunk').play();
          break;

        case 3:
          document.getElementById('damned').play();
          break;

        case 4:
          document.getElementById('itworks').play();
          break;

        case 5:
          document.getElementById('hoo').play();
          break;
      }
    }

    function autoPlay() {
      setInterval(function () {
        var i = Math.floor(Math.random() * 5);
        playSound(i);
      }, 3000);
    }

    function onloadfunc() {
      window.onkeydown = function(e) {
        e = e || window.event;
        var k = e.keyCode || e.which;
  
        switch(k)  {
          // a, q
          case 65:
          case 81:
            playSound(0);
            break;

          // z, w
          case 90:
          case 87:
            playSound(1);
            break;

          // e
          case 69:
            playSound(2);
            break;

          // r
          case 82:
            playSound(3);
            break;

          // t
          case 84:
            playSound(4);
            break;

          // y
          case 89:
            playSound(5);
            break;

          // k
          case 75:
            autoPlay();
        }
  
        return true;
      }
 
      document.getElementById('comeon').volume = .8;
      wsize();
    }
    
	function wsize() {
      var body = document.getElementsByTagName('body')[0];

      body.style.width = (window.innerWidth - 64) + 'px';
      body.style.height = (window.innerHeight - 64) + 'px';
    }

  </script>
</head>

<body onload="onloadfunc()" onresize="wsize()">

<audio id="comeon" autoplay="autoplay" loop="">
  <source src="comeoninternet.ogg" type="audio/ogg">
Your browser does not support the audio element.
</audio> 

<audio id="noice">
  <source src="noice.ogg" type="audio/ogg">
</audio> 

<audio id="hmm">
  <source src="hmm.ogg" type="audio/ogg">
</audio> 

<audio id="freifunk">
  <source src="freifunk.ogg" type="audio/ogg">
</audio> 

<audio id="itworks">
  <source src="itworks.ogg" type="audio/ogg">
</audio> 

<audio id="damned">
  <source src="damned.ogg" type="audio/ogg">
</audio> 

<audio id="hoo">
  <source src="hoo.ogg" type="audio/ogg">
</audio> 

<div>Come on, Internet!</div>

<img src="cowboy.gif" alt="Yolo Cowboy">

</body></html>
